org.apache.tinkerpop.gremlin.spark.process.computer

## Class SparkExecutor

- java.lang.Object
- - org.apache.tinkerpop.gremlin.spark.process.computer.SparkExecutor

-     public final class SparkExecutor
      extends Object

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <any>` | `applyGraphFilter(<any> graphRDD, GraphFilter graphFilter)`
    `static <K,V,OK,OV> <any>` | `executeCombine(<any> mapRDD, Configuration graphComputerConfiguration)`
    `static <K,V> <any>` | `executeMap(<any> graphRDD, MapReduce<K,V,?,?,?> mapReduce, Configuration graphComputerConfiguration)`
    `static <K,V,OK,OV> <any>` | `executeReduce(<any> mapOrCombineRDD, MapReduce<K,V,OK,OV,?> mapReduce, Configuration graphComputerConfiguration)`
    `static <M> <any>` | `executeVertexProgramIteration(<any> graphRDD, <any> viewIncomingRDD, SparkMemory memory, Configuration graphComputerConfiguration, Configuration vertexProgramConfiguration)`
    `static <M> <any>` | `prepareFinalGraphRDD(<any> graphRDD, <any> viewIncomingRDD, Set<VertexComputeKey> vertexComputeKeys)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### applyGraphFilter

          public static <any> applyGraphFilter(<any> graphRDD,
                                               GraphFilter graphFilter)

    - #### executeVertexProgramIteration

          public static <M> <any> executeVertexProgramIteration(<any> graphRDD,
                                                                <any> viewIncomingRDD,
                                                                SparkMemory memory,
                                                                Configuration graphComputerConfiguration,
                                                                Configuration vertexProgramConfiguration)

    - #### prepareFinalGraphRDD

          public static <M> <any> prepareFinalGraphRDD(<any> graphRDD,
                                                       <any> viewIncomingRDD,
                                                       Set<VertexComputeKey> vertexComputeKeys)

    - #### executeMap

          public static <K,V> <any> executeMap(<any> graphRDD,
                                               MapReduce<K,V,?,?,?> mapReduce,
                                               Configuration graphComputerConfiguration)

    - #### executeCombine

          public static <K,V,OK,OV> <any> executeCombine(<any> mapRDD,
                                                         Configuration graphComputerConfiguration)

    - #### executeReduce

          public static <K,V,OK,OV> <any> executeReduce(<any> mapOrCombineRDD,
                                                        MapReduce<K,V,OK,OV,?> mapReduce,
                                                        Configuration graphComputerConfiguration)

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.